Skip to main content
GET
/
api
/
v1
/
callback-agents
/
source-agents
curl "https://app.talkover.ai/api/v1/callback-agents/source-agents" \
  -H "Authorization: Bearer talq_your_environment_token_here"
{
  "success": true,
  "data": [
    {
      "id": "agent-uuid-2",
      "name": "Sales Outbound",
      "direction": "outbound",
      "current_status": "published"
    },
    {
      "id": "agent-uuid-3",
      "name": "Survey Outbound",
      "direction": "outbound",
      "current_status": "published"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt

Use this file to discover all available pages before exploring further.

List Callback Source Agents

List outbound agents that can be configured as source agents for a callback agent. A source agent’s outbound calls become candidates for callback when the contact returns the call.

Endpoint

GET /api/v1/callback-agents/source-agents

Request Headers

Authorization
string
required
Bearer token. Format: Bearer talq_your_environment_token_here

Examples

curl "https://app.talkover.ai/api/v1/callback-agents/source-agents" \
  -H "Authorization: Bearer talq_your_environment_token_here"

Response

{
  "success": true,
  "data": [
    {
      "id": "agent-uuid-2",
      "name": "Sales Outbound",
      "direction": "outbound",
      "current_status": "published"
    },
    {
      "id": "agent-uuid-3",
      "name": "Survey Outbound",
      "direction": "outbound",
      "current_status": "published"
    }
  ]
}

Notes